<template>
  <ul class="sellerDetailListItem" style="padding-top:0px;">
    <li>
      <span class="detailLabel">Name</span>
      &nbsp;&nbsp;{{itemInfo.name}}
    </li>
    <li>
      <span class="detailLabel">Number</span>
      &nbsp;&nbsp;{{totalItems}}
    </li>
    <li>
      <span class="detailLabel">Finishing date</span>
      &nbsp;&nbsp;{{expectedSalesDate}}
    </li>
    <li>
      <ul class="sellerDetailListItem" style="padding-top:0px;">
        <li v-for="store in itemInfo.itemInfo" :key="store._id" style="padding:0px;">
        <ul class="sellerDetailListItem" style="padding-top:0px;">
          <li v-for="brand in store.bransAndSize" :key="brand._id" style="padding:0px;">
            <ul class="sellerDetailListItem" style="padding-top:0px;">
              <li v-for="size in brand.sizes" :key="size._id" style="display:flex;
                flex-direction: row;
                justify-content:space-between;
                padding-right:10px">
                {{store.shopName}} <v-icon>navigate_next</v-icon> {{brand.brand}} <v-icon>navigate_next</v-icon> {{size.size}} <v-icon>navigate_next</v-icon> {{size.number}}
              </li>
            </ul>
          </li>
        </ul>
        </li>
      </ul>
    </li>
  </ul>
</template>
<script>
import moment from 'moment'
export default {
  name: 'ViewItemDetailsComponent',
  computed: {
    itemInfo () {
      return this.$store.state.itemRegistrationModule.fullItemInformationObject
    },
    totalItems () {
      let {
        itemInfo
      } = this.$store.state.itemRegistrationModule.fullItemInformationObject
      let total = 0
      itemInfo.forEach(item => {
        item.bransAndSize.forEach(brand => {
          brand.sizes.forEach(size => {
            total = total + size.number
          })
        })
      })
      return total
    },
    expectedSalesDate () {
      return moment(
        this.$store.state.itemRegistrationModule.fullItemInformationObject
          .expectedSalesDate
      ).format('YYYY-MM-DD')
    },
    storesList () {
      let numberOfItemsLeft = []
      let itemBrandAndSizeList = this.$store.state.itemRegistrationModule
        .fullItemInformationObject.itemInfo
      itemBrandAndSizeList.forEach(element => {
        if (numberOfItemsLeft.includes(element.shopName) === false) {
          numberOfItemsLeft.push(element.shopName)
        }
      })
      return numberOfItemsLeft
    },
    brandsList () {
      let numberOfItemsLeft = []
      let itemBrandAndSizeList = this.$store.state.itemRegistrationModule
        .fullItemInformationObject.itemInfo
      itemBrandAndSizeList.forEach(element => {
        element.bransAndSize.forEach(sizeElement => {
          if (numberOfItemsLeft.includes(sizeElement.brand) === false) {
            numberOfItemsLeft.push(sizeElement.brand)
          }
        })
      })
      return numberOfItemsLeft
    },
    gridResponsiveness () {
      const gridResponsiveness = {}
      if (this.$vuetify.breakpoint.xs) gridResponsiveness.column = true
      return gridResponsiveness
    }
  }
}
</script>
